<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMPlanEQInfoBase from './emplan-eqinfo-base.vue';

import view_form from '@widgets/emplan/eqinfo-form/eqinfo-form.vue';

/**
 * 计划
 *
 * @export
 * @class EMPlanEQInfo
 * @extends {EMPlanEQInfoBase}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMPlanEQInfo extends EMPlanEQInfoBase { }
</script>